# Properties

Many properties have been created to enable you to access any data from any of the endpoint responses. The properties will first check the cache and if the cache is not available for any reason it will fallback to the database, if the property isn't available in either it will return the string "N/A".

## Availability

There are currently 266 properties available, however not every property will be available depending on which fork of `xmrig` you are using. Here is a table that shows which properties are supported by which fork.

| Property Name                                    | XMRig | XMRig-MO |
|--------------------------------------------------|-------|----------|
| `summary`                                        | YES   | YES      |
| `backends`                                       | YES   | YES      |
| `config`                                         | YES   | YES      |
| `sum_id`                                         | YES   | YES      |
| `sum_worker_id`                                  | YES   | YES      |
| `sum_uptime`                                     | YES   | YES      |
| `sum_uptime_readable`                            | YES   | YES      |
| `sum_restricted`                                 | YES   | YES      |
| `sum_resources`                                  | YES   | YES      |
| `sum_memory_usage`                               | YES   | YES      |
| `sum_free_memory`                                | YES   | YES      |
| `sum_total_memory`                               | YES   | YES      |
| `sum_resident_set_memory`                        | YES   | YES      |
| `sum_load_average`                               | YES   | YES      |
| `sum_hardware_concurrency`                       | YES   | YES      |
| `sum_features`                                   | YES   | YES      |
| `sum_results`                                    | YES   | YES      |
| `sum_current_difficulty`                         | YES   | YES      |
| `sum_good_shares`                                | YES   | YES      |
| `sum_total_shares`                               | YES   | YES      |
| `sum_avg_time`                                   | YES   | YES      |
| `sum_avg_time_ms`                                | YES   | YES      |
| `sum_total_hashes`                               | YES   | YES      |
| `sum_best_results`                               | YES   | YES      |
| `sum_algorithm`                                  | YES   | YES      |
| `sum_connection`                                 | YES   | YES      |
| `sum_pool_info`                                  | YES   | YES      |
| `sum_pool_ip_address`                            | YES   | YES      |
| `sum_pool_uptime`                                | YES   | YES      |
| `sum_pool_uptime_ms`                             | YES   | YES      |
| `sum_pool_ping`                                  | YES   | YES      |
| `sum_pool_failures`                              | YES   | YES      |
| `sum_pool_tls`                                   | YES   | YES      |
| `sum_pool_tls_fingerprint`                       | YES   | YES      |
| `sum_pool_algo`                                  | YES   | YES      |
| `sum_pool_diff`                                  | YES   | YES      |
| `sum_pool_accepted_jobs`                         | YES   | YES      |
| `sum_pool_rejected_jobs`                         | YES   | YES      |
| `sum_pool_average_time`                          | YES   | YES      |
| `sum_pool_average_time_ms`                       | YES   | YES      |
| `sum_pool_total_hashes`                          | YES   | YES      |
| `sum_version`                                    | YES   | YES      |
| `sum_kind`                                       | YES   | YES      |
| `sum_ua`                                         | YES   | YES      |
| `sum_cpu_info`                                   | YES   | YES      |
| `sum_cpu_brand`                                  | YES   | YES      |
| `sum_cpu_family`                                 | YES   | YES      |
| `sum_cpu_model`                                  | YES   | YES      |
| `sum_cpu_stepping`                               | YES   | YES      |
| `sum_cpu_proc_info`                              | YES   | YES      |
| `sum_cpu_aes`                                    | YES   | YES      |
| `sum_cpu_avx2`                                   | YES   | YES      |
| `sum_cpu_x64`                                    | YES   | YES      |
| `sum_cpu_64_bit`                                 | YES   | YES      |
| `sum_cpu_l2`                                     | YES   | YES      |
| `sum_cpu_l3`                                     | YES   | YES      |
| `sum_cpu_cores`                                  | YES   | YES      |
| `sum_cpu_threads`                                | YES   | YES      |
| `sum_cpu_packages`                               | YES   | YES      |
| `sum_cpu_nodes`                                  | YES   | YES      |
| `sum_cpu_backend`                                | YES   | YES      |
| `sum_cpu_msr`                                    | YES   | YES      |
| `sum_cpu_assembly`                               | YES   | YES      |
| `sum_cpu_arch`                                   | YES   | YES      |
| `sum_cpu_flags`                                  | YES   | YES      |
| `sum_donate_level`                               | YES   | YES      |
| `sum_paused`                                     | YES   | YES      |
| `sum_algorithms`                                 | YES   | YES      |
| `sum_hashrate`                                   | YES   | YES      |
| `sum_hashrate_total`                             | YES   | YES      |
| `sum_hashrate_10s`                               | YES   | YES      |
| `sum_hashrate_1m`                                | YES   | YES      |
| `sum_hashrate_15m`                               | YES   | YES      |
| `sum_hashrate_highest`                           | YES   | YES      |
| `sum_hugepages`                                  | YES   | YES      |
| `enabled_backends`                               | YES   | YES      |
| `be_cpu_type`                                    | YES   | YES      |
| `be_cpu_enabled`                                 | YES   | YES      |
| `be_cpu_algo`                                    | YES   | YES      |
| `be_cpu_profile`                                 | YES   | YES      |
| `be_cpu_hw_aes`                                  | YES   | YES      |
| `be_cpu_priority`                                | YES   | YES      |
| `be_cpu_msr`                                     | YES   | YES      |
| `be_cpu_asm`                                     | YES   | YES      |
| `be_cpu_argon2_impl`                             | YES   | YES      |
| `be_cpu_hugepages`                               | YES   | YES      |
| `be_cpu_memory`                                  | YES   | YES      |
| `be_cpu_hashrates`                               | YES   | YES      |
| `be_cpu_hashrate_10s`                            | YES   | YES      |
| `be_cpu_hashrate_1m`                             | YES   | YES      |
| `be_cpu_hashrate_15m`                            | YES   | YES      |
| `be_cpu_threads`                                 | YES   | YES      |
| `be_cpu_threads_intensity`                       | YES   | YES      |
| `be_cpu_threads_affinity`                        | YES   | YES      |
| `be_cpu_threads_av`                              | YES   | YES      |
| `be_cpu_threads_hashrates`                       | YES   | YES      |
| `be_cpu_threads_hashrates_10s`                   | YES   | YES      |
| `be_cpu_threads_hashrates_1m`                    | YES   | YES      |
| `be_cpu_threads_hashrates_15m`                   | YES   | YES      |
| `be_opencl_type`                                 | NO    | YES      |
| `be_opencl_enabled`                              | NO    | YES      |
| `be_opencl_algo`                                 | NO    | YES      |
| `be_opencl_profile`                              | NO    | YES      |
| `be_opencl_platform`                             | NO    | YES      |
| `be_opencl_platform_index`                       | NO    | YES      |
| `be_opencl_platform_profile`                     | NO    | YES      |
| `be_opencl_platform_version`                     | NO    | YES      |
| `be_opencl_platform_name`                        | NO    | YES      |
| `be_opencl_platform_vendor`                      | NO    | YES      |
| `be_opencl_platform_extensions`                  | NO    | YES      |
| `be_opencl_hashrates`                            | NO    | YES      |
| `be_opencl_hashrate_10s`                         | NO    | YES      |
| `be_opencl_hashrate_1m`                          | NO    | YES      |
| `be_opencl_hashrate_15m`                         | NO    | YES      |
| `be_opencl_threads`                              | NO    | YES      |
| `be_opencl_threads_index`                        | NO    | YES      |
| `be_opencl_threads_intensity`                    | NO    | YES      |
| `be_opencl_threads_worksize`                     | NO    | YES      |
| `be_opencl_threads_amount`                       | NO    | YES      |
| `be_opencl_threads_unroll`                       | NO    | YES      |
| `be_opencl_threads_affinity`                     | NO    | YES      |
| `be_opencl_threads_hashrates`                    | NO    | YES      |
| `be_opencl_threads_hashrate_10s`                 | NO    | YES      |
| `be_opencl_threads_hashrate_1m`                  | NO    | YES      |
| `be_opencl_threads_hashrate_15m`                 | NO    | YES      |
| `be_opencl_threads_board`                        | NO    | YES      |
| `be_opencl_threads_name`                         | NO    | YES      |
| `be_opencl_threads_bus_id`                       | NO    | YES      |
| `be_opencl_threads_cu`                           | NO    | YES      |
| `be_opencl_threads_global_mem`                   | NO    | YES      |
| `be_opencl_threads_health`                       | NO    | YES      |
| `be_opencl_threads_health_temp`                  | NO    | YES      |
| `be_opencl_threads_health_power`                 | NO    | YES      |
| `be_opencl_threads_health_clock`                 | NO    | YES      |
| `be_opencl_threads_health_mem_clock`             | NO    | YES      |
| `be_opencl_threads_health_rpm`                   | NO    | YES      |
| `be_cuda_type`                                   | NO    | YES      |
| `be_cuda_enabled`                                | NO    | YES      |
| `be_cuda_algo`                                   | NO    | YES      |
| `be_cuda_profile`                                | NO    | YES      |
| `be_cuda_versions`                               | NO    | YES      |
| `be_cuda_runtime`                                | NO    | YES      |
| `be_cuda_driver`                                 | NO    | YES      |
| `be_cuda_plugin`                                 | NO    | YES      |
| `be_cuda_hashrates`                              | NO    | YES      |
| `be_cuda_hashrate_10s`                           | NO    | YES      |
| `be_cuda_hashrate_1m`                            | NO    | YES      |
| `be_cuda_hashrate_15m`                           | NO    | YES      |
| `be_cuda_threads`                                | NO    | YES      |
| `be_cuda_threads_index`                          | NO    | YES      |
| `be_cuda_threads_amount`                         | NO    | YES      |
| `be_cuda_threads_blocks`                         | NO    | YES      |
| `be_cuda_threads_bfactor`                        | NO    | YES      |
| `be_cuda_threads_bsleep`                         | NO    | YES      |
| `be_cuda_threads_affinity`                       | NO    | YES      |
| `be_cuda_threads_dataset_host`                   | NO    | YES      |
| `be_cuda_threads_hashrates`                      | NO    | YES      |
| `be_cuda_threads_hashrate_10s`                   | NO    | YES      |
| `be_cuda_threads_hashrate_1m`                    | NO    | YES      |
| `be_cuda_threads_hashrate_15m`                   | NO    | YES      |
| `be_cuda_threads_name`                           | NO    | YES      |
| `be_cuda_threads_bus_id`                         | NO    | YES      |
| `be_cuda_threads_smx`                            | NO    | YES      |
| `be_cuda_threads_arch`                           | NO    | YES      |
| `be_cuda_threads_global_mem`                     | NO    | YES      |
| `be_cuda_threads_clock`                          | NO    | YES      |
| `be_cuda_threads_memory_clock`                   | NO    | YES      |
| `conf_api_property`                              | YES   | YES      |
| `conf_api_id_property`                           | YES   | YES      |
| `conf_api_worker_id_property`                    | YES   | YES      |
| `conf_http_property`                             | YES   | YES      |
| `conf_http_enabled_property`                     | YES   | YES      |
| `conf_http_host_property`                        | YES   | YES      |
| `conf_http_port_property`                        | YES   | YES      |
| `conf_http_access_token_property`                | YES   | YES      |
| `conf_http_restricted_property`                  | YES   | YES      |
| `conf_autosave_property`                         | YES   | YES      |
| `conf_background_property`                       | YES   | YES      |
| `conf_colors_property`                           | YES   | YES      |
| `conf_title_property`                            | YES   | YES      |
| `conf_randomx_property`                          | YES   | YES      |
| `conf_randomx_init_property`                     | YES   | YES      |
| `conf_randomx_init_avx2_property`                | YES   | YES      |
| `conf_randomx_mode_property`                     | YES   | YES      |
| `conf_randomx_1gb_pages_property`                | YES   | YES      |
| `conf_randomx_rdmsr_property`                    | YES   | YES      |
| `conf_randomx_wrmsr_property`                    | YES   | YES      |
| `conf_randomx_cache_qos_property`                | YES   | YES      |
| `conf_randomx_numa_property`                     | YES   | YES      |
| `conf_randomx_scratchpad_prefetch_mode_property` | YES   | YES      |
| `conf_cpu_property`                              | YES   | YES      |
| `conf_cpu_enabled_property`                      | YES   | YES      |
| `conf_cpu_huge_pages_property`                   | YES   | YES      |
| `conf_cpu_huge_pages_jit_property`               | YES   | YES      |
| `conf_cpu_hw_aes_property`                       | YES   | YES      |
| `conf_cpu_priority_property`                     | YES   | YES      |
| `conf_cpu_memory_pool_property`                  | YES   | YES      |
| `conf_cpu_yield_property`                        | YES   | YES      |
| `conf_cpu_max_threads_hint_property`             | YES   | YES      |
| `conf_cpu_asm_property`                          | YES   | YES      |
| `conf_cpu_argon2_impl_property`                  | YES   | YES      |
| `conf_opencl_property`                           | YES   | YES      |
| `conf_opencl_enabled_property`                   | YES   | YES      |
| `conf_opencl_cache_property`                     | YES   | YES      |
| `conf_opencl_loader_property`                    | YES   | YES      |
| `conf_opencl_platform_property`                  | YES   | YES      |
| `conf_opencl_adl_property`                       | YES   | YES      |
| `conf_cuda_property`                             | YES   | YES      |
| `conf_cuda_enabled_property`                     | YES   | YES      |
| `conf_cuda_loader_property`                      | YES   | YES      |
| `conf_cuda_nvml_property`                        | YES   | YES      |
| `conf_log_file_property`                         | YES   | YES      |
| `conf_donate_level_property`                     | YES   | YES      |
| `conf_donate_over_proxy_property`                | YES   | YES      |
| `conf_pools_property`                            | YES   | YES      |
| `conf_pools_algo_property`                       | YES   | YES      |
| `conf_pools_coin_property`                       | YES   | YES      |
| `conf_pools_url_property`                        | YES   | YES      |
| `conf_pools_user_property`                       | YES   | YES      |
| `conf_pools_pass_property`                       | YES   | YES      |
| `conf_pools_rig_id_property`                     | YES   | YES      |
| `conf_pools_nicehash_property`                   | YES   | YES      |
| `conf_pools_keepalive_property`                  | YES   | YES      |
| `conf_pools_enabled_property`                    | YES   | YES      |
| `conf_pools_tls_property`                        | YES   | YES      |
| `conf_pools_sni_property`                        | YES   | YES      |
| `conf_pools_spend_secret_key_property`           | YES   | YES      |
| `conf_pools_tls_fingerprint_property`            | YES   | YES      |
| `conf_pools_daemon_property`                     | YES   | YES      |
| `conf_pools_daemon_poll_interval_property`       | YES   | YES      |
| `conf_pools_daemon_job_timeout_property`         | YES   | YES      |
| `conf_pools_daemon_zmq_port_property`            | YES   | YES      |
| `conf_pools_socks5_property`                     | YES   | YES      |
| `conf_pools_self_select_property`                | YES   | YES      |
| `conf_pools_submit_to_origin_property`           | YES   | YES      |
| `conf_retries_property`                          | YES   | YES      |
| `conf_retry_pause_property`                      | YES   | YES      |
| `conf_print_time_property`                       | YES   | YES      |
| `conf_health_print_time_property`                | YES   | YES      |
| `conf_dmi_property`                              | YES   | YES      |
| `conf_syslog_property`                           | YES   | YES      |
| `conf_tls_property`                              | YES   | YES      |
| `conf_tls_enabled_property`                      | YES   | YES      |
| `conf_tls_protocols_property`                    | YES   | YES      |
| `conf_tls_cert_property`                         | YES   | YES      |
| `conf_tls_cert_key_property`                     | YES   | YES      |
| `conf_tls_ciphers_property`                      | YES   | YES      |
| `conf_tls_ciphersuites_property`                 | YES   | YES      |
| `conf_tls_dhparam_property`                      | YES   | YES      |
| `conf_dns_property`                              | YES   | YES      |
| `conf_dns_ipv6_property`                         | YES   | YES      |
| `conf_dns_ttl_property`                          | YES   | YES      |
| `conf_user_agent_property`                       | YES   | YES      |
| `conf_verbose_property`                          | YES   | YES      |
| `conf_watch_property`                            | YES   | YES      |
| `conf_rebench_algo_property`                     | YES   | YES      |
| `conf_bench_algo_time_property`                  | YES   | YES      |
| `conf_pause_on_battery_property`                 | YES   | YES      |
| `conf_pause_on_active_property`                  | YES   | YES      |
| `conf_benchmark_property`                        | YES   | YES      |
| `conf_benchmark_size_property`                   | YES   | YES      |
| `conf_benchmark_algo_property`                   | YES   | YES      |
| `conf_benchmark_submit_property`                 | YES   | YES      |
| `conf_benchmark_verify_property`                 | YES   | YES      |
| `conf_benchmark_seed_property`                   | YES   | YES      |
| `conf_benchmark_hash_property`                   | YES   | YES      |